Subject: Re: [nfsv4] Sparse files draft

From: Dean Hildebrand <[email-masked]>
Date: Mon, 02 Aug 2010 13:22:05 -0700

Thank you Richard and Sorin for your input.  Can either of you describe 
a little more about applications that might read files (sparse or not) 
backwards?  I want to make sure I describe the motivation correctly when 
I update the sparse draft.  Is this 'rewind' (start at end of video and 
playback backwards) or something more complicated?  Any idea if these 
types of files might be sparse?  Also, I don't quite understand the 
comment, "read one video frame at a time forward and displaying in 
backward".
Thanks again,
Dean

On 7/28/2010 5:34 AM, sfaibish wrote:
> Scheffenegger Richard (NetApp) commented on the sparse files draft and 
> proposed
> that for the data offset in the sparse file it might be beneficial to 
> include also a
> pointer to the previous read data blocks for applications that read 
> backwards. For example
> in video rendering there is a need to stream backwards in which case 
> the client reads
> one video frame at a time forward and displaying in backward order.
>
> On Wed, 28 Jul 2010 08:21:17 -0400, Spencer 
> <[email-masked]> wrote:
>
>
> Scheffenegger Richard.
>
>>
>> This reference came up during David Black's and Mike Eisler's 
>> presentation:
>> "pNFS Storage Device Preference"
>>
>> btw: the presentation materials are located under
>> http://datatracker.ietf.org/meeting/78/materials.html
>>
>> On Jul 28, 2010, at 5:14 AM, Richard Alimi wrote:
>>
>>> Here is a link to WheelFS (related to storage preferences), which I
>>> had mentioned at the mic:
>>>  http://pdos.csail.mit.edu/wheelfs/
>>>
>>> Rich Alimi
>>> _______________________________________________
>>> nfsv4 mailing list
>>> [email-masked]
>>> https://www.ietf.org/mailman/listinfo/nfsv4
>>
>> _______________________________________________
>> nfsv4 mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/nfsv4
>>
>>
>
>
>